//
//    buf struct:
//
//    offset           decriptions           lenght
//
//     00h      device                          4h
//     04h      inode                           4h
//     08h      protections                     2h
//     0ah      hard link X                     2h
//     0ch      user ID                         2h
//     0eh      group ID                        2h
//     10h      device type (if inode device)   4h
//     14h      file size                       4h
//     18h      blocksize for filesystem I/O    4h
//     1ch      number of blocks allocated      4h
//     20h      time of last access             8h
//     28h      time of last modification       8h
//     30h      time of last change             8h
//
//

.globl _start
_start:
.text
    movl $106,%eax   # statsS
    movl $m1,%ebx    # file_name
    movl $m2,%ecx    # buf
    int $0x80

    movb $8,%al      # creatS
    movl $m3,%ebx    # filename
    movb $0,%cl      # attribute
    int $128

    movl %eax,%ebx   # descriptor
    movb $4,%al      # write
    movl $m2,%ecx    # address text
    movb $56,%dl     # size (full struct = 56 bytes)
    int $128

    movb $0x1,%al
    int $0x80

.data
m1:  .string "/mnt/a"
m3:  .string "test"
m2:  .byte 0




